net.dontdrinkandroot.wicketexample.web.model.entity

## Class TestEntityLoadableDetachableModel

- java.lang.Object
- - org.apache.wicket.model.LoadableDetachableModel<T>
  - - net.dontdrinkandroot.wicket.model.AbstractInjectedLoadableDetachableModel<TestEntity>
    - - net.dontdrinkandroot.wicketexample.web.model.entity.TestEntityLoadableDetachableModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<TestEntity>, org.apache.wicket.util.io.IClusterable

    public class TestEntityLoadableDetachableModel
    extends net.dontdrinkandroot.wicket.model.AbstractInjectedLoadableDetachableModel<TestEntity>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestEntityLoadableDetachableModel(TestEntity testEntity)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`protected TestEntity` `load()`

### Methods inherited from class org.apache.wicket.model.LoadableDetachableModel

`detach, getObject, isAttached, onAttach, onDetach, setObject, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestEntityLoadableDetachableModel

    public TestEntityLoadableDetachableModel(TestEntity testEntity)

### Method Detail

#### load

    protected TestEntity load()

Specified by:
  `load` in class `org.apache.wicket.model.LoadableDetachableModel<TestEntity>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`